com.here.msdkui.routing

## Class MultipleChoiceOptionItem.ItemRow

- java.lang.Object
- - com.here.msdkui.routing.MultipleChoiceOptionItem.ItemRow

- Enclosing class:
    MultipleChoiceOptionItem

      public static class MultipleChoiceOptionItem.ItemRow
      extends java.lang.Object

  A class that represents one row of a `MultipleChoiceOptionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.widget.TextView` | `getLabelView()` Gets the associated label `TextView`.
    `android.widget.CheckBox` | `getSelectionView()` Gets the associated `CheckBox`.
    `MultipleChoiceOptionItem.ItemRow` | `setLabelView(android.widget.TextView label)` Sets the associated label `TextView`.
    `MultipleChoiceOptionItem.ItemRow` | `setSelectionView(android.widget.CheckBox checkBox)` Sets the associated `CheckBox`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemRow

          public ItemRow()

  - ### Method Detail

    - #### getLabelView

          public android.widget.TextView getLabelView()

      Gets the associated label `TextView`.
      Returns:
        the `TextView` of the label.

    - #### setLabelView

          public MultipleChoiceOptionItem.ItemRow setLabelView(android.widget.TextView label)

      Sets the associated label `TextView`.
      Parameters:
        `label` - the `TextView` to set.
      Returns:
        an instance of this class.

    - #### getSelectionView

          public android.widget.CheckBox getSelectionView()

      Gets the associated `CheckBox`.
      Returns:
        the associated `CheckBox`.

    - #### setSelectionView

          public MultipleChoiceOptionItem.ItemRow setSelectionView(android.widget.CheckBox checkBox)

      Sets the associated `CheckBox`.
      Parameters:
        `checkBox` - the `CheckBox` to set.
      Returns:
        an instance of this class.